%define		plugin	check_flashpolicyd
Summary:	Daemon to serve Adobe Flash socket policy XML
Name:		flashpolicyd
Version:	2.2
Release:	2
License:	ASL 2.0
Group:		Networking/Daemons
Source0:	https://github.com/ripienaar/flashpolicyd/archive/%{version}/%{name}-%{version}.tar.gz
# Source0-md5:	0113f5ca4a2b5677da37a0a66d48bc34
Source1:	%{name}.init
URL:		http://code.google.com/p/flashpolicyd/
BuildRequires:	rpmbuild(macros) >= 1.268
BuildRequires:	ruby-modules
Requires(post,preun):	/sbin/chkconfig
Requires:	rc-scripts
Requires:	ruby-modules
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		pluginconf	/etc/nagios/plugins
%define		plugindir	%{_prefix}/lib/nagios/plugins

%description
Daemon to serve Adobe Flash socket policy XML.

%package rdoc
Summary:	Documentation files for flashpolicyd
Group:		Documentation
Requires:	ruby >= 1:1.8.7-4

%description rdoc
Documentation files for flashpolicyd.

%package ri
Summary:	ri documentation for flashpolicyd
Summary(pl.UTF-8):	Dokumentacja w formacie ri dla flashpolicyd
Group:		Documentation
Requires:	ruby

%description ri
ri documentation for flashpolicyd.

%description ri -l pl.UTF-8
Dokumentacji w formacie ri dla flashpolicyd.

%package -n nagios-plugin-%{plugin}
Summary:	Nagios plugin to check flashpolicyd
Group:		Networking
Requires:	nagios-common

%description -n nagios-plugin-%{plugin}
Nagios plugin to check flashpolicyd.

%prep
%setup -q

cat > nagios.cfg <<'EOF'
# Usage:
# %{plugin}
define command {
	command_name    %{plugin}
	command_line    %{plugindir}/%{plugin} --host $HOSTADDRESS$ $ARG1$
}

define service {
	use                     generic-service
	name                    flashpolicyd
	service_description     flashpolicyd
	register                0

	normal_check_interval   5
	retry_check_interval    1

	check_command           check_flashpolicyd
}
EOF

%build
rdoc --ri --op ri --title 'Flash Policy Daemon version %{version}' flashpolicyd.rb check_flashpolicyd.rb
rdoc --op rdoc --title 'Flash Policy Daemon version %{version}' flashpolicyd.rb check_flashpolicyd.rb
rm ri/Object/cdesc-Object.ri
rm ri/Object/run_server-i.ri
rm ri/Object/sec2dhms-i.ri
rm ri/Object/showhelp-i.ri
rm ri/cache.ri
rm ri/created.rid

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{/etc/{sysconfig,rc.d/init.d},%{_sbindir}}
install %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/flashpolicyd
install -p flashpolicyd.rb $RPM_BUILD_ROOT%{_sbindir}/flashpolicyd
cp -a flashpolicy.xml $RPM_BUILD_ROOT%{_sysconfdir}/flashpolicy.xml

# rdoc/ri
install -d $RPM_BUILD_ROOT{%{ruby_ridir},%{ruby_rdocdir}}
cp -a rdoc $RPM_BUILD_ROOT%{ruby_rdocdir}/%{name}-%{version}
cp -a ri/* $RPM_BUILD_ROOT%{ruby_ridir}

install -d $RPM_BUILD_ROOT{%{pluginconf},%{plugindir}}
cp -a nagios.cfg $RPM_BUILD_ROOT%{pluginconf}/%{plugin}.cfg
install -p %{plugin}.rb $RPM_BUILD_ROOT%{plugindir}/%{plugin}

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add flashpolicyd
%service flashpolicyd restart

%preun
if [ "$1" = 0 ] ; then
	%service flashpolicyd stop
	/sbin/chkconfig --del flashpolicyd
fi

%files
%defattr(644,root,root,755)
%doc README
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/flashpolicy.xml
%attr(754,root,root) /etc/rc.d/init.d/flashpolicyd
%attr(755,root,root) %{_sbindir}/flashpolicyd

%files rdoc
%defattr(644,root,root,755)
%{ruby_rdocdir}/%{name}-%{version}

%files ri
%defattr(644,root,root,755)
%{ruby_ridir}/PolicyServer

%files -n nagios-plugin-%{plugin}
%defattr(644,root,root,755)
%attr(640,root,nagios) %config(noreplace) %verify(not md5 mtime size) %{pluginconf}/%{plugin}.cfg
%attr(755,root,root) %{plugindir}/%{plugin}
%changelog
* Thu Jul 17 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/flashpolicyd.git;a=log;h=master

* Thu Jul 17 2014 Elan Ruusamäe <glen@delfi.ee> 9260583
- ruby 2.0 rebuild
- release 2 (by relup.sh)

* Mon Nov 11 2013 Elan Ruusamäe <glen@delfi.ee> 223deb2
- up to 2.2, new license: Apache 2.0

* Thu Sep 02 2010 Elan Ruusamäe <glen@pld-linux.org> b87ba64
- release 6

* Thu Sep 02 2010 Elan Ruusamäe <glen@pld-linux.org> 4f7751e
- start+start must = 100; rel 5

* Thu Sep 02 2010 Elan Ruusamäe <glen@pld-linux.org> 2ee29bf
- start+start must = 100

* Sun Mar 14 2010 sparky <sparky@pld-linux.org> 61089a2
- BR: ruby-modules

* Wed Mar 03 2010 Elan Ruusamäe <glen@pld-linux.org> 15c66b7
- release 4

* Wed Mar 03 2010 Elan Ruusamäe <glen@pld-linux.org> 8989ea4
- add ri subpackage
- regenerate ri/rdoc

* Wed Mar 03 2010 Elan Ruusamäe <glen@pld-linux.org> 1904be5
- add rdoc subpackage
- add service template in nagios plugin
- rel 3

* Wed Feb 10 2010 Elan Ruusamäe <glen@pld-linux.org> e4fbf4e
- ruby-modules for socket.rb; rel 2

* Wed Feb 10 2010 Elan Ruusamäe <glen@pld-linux.org> 5b87d21
- release 1

* Tue Feb 09 2010 Elan Ruusamäe <glen@pld-linux.org> c9f6ad7
- keep upstream formatting (spaces)

* Tue Feb 09 2010 Elan Ruusamäe <glen@pld-linux.org> ee21199
- run daemon as uid/gid nobody

* Tue Feb 09 2010 Elan Ruusamäe <glen@pld-linux.org> 7fbefc6
- pldized initscript

* Tue Feb 09 2010 Elan Ruusamäe <glen@pld-linux.org> 49af187
- subpackage for nagios compatible plugin

* Tue Feb 09 2010 Elan Ruusamäe <glen@pld-linux.org> a1fd9b1
- based on spec from src.rpm

